from dku_utils.core import get_current_project_and_variables, get_project_and_variables
from dku_utils.recipes.recipe_commons import (
    get_recipe_settings_and_dictionary,
    adapt_recipe_engine_to_priority_and_availability,
    update_recipe_ouput_schema,
)


def prepare_display():
    project, variables = get_current_project_and_variables()

    recipe_name = "compute_test_dataset"
    recipe_settings, _ = get_recipe_settings_and_dictionary(project, recipe_name, False)
    recipe_json_payload = recipe_settings.get_json_payload()

    project_demand, variables_demand = get_project_and_variables(
        variables["standard"]["demand_forecast_project_key_app"]
    )
    keep_columns = [
          "profit_parameter",
          "forecast_granularity",
          "forecast_period_product_average_price",
          "volume_parameter",
          "revenue",
          "override_value",
          "profit_uplift_static",
          "product_cost",
          "forecasted_volume",
          "profit_per_unit",
          "profit_uplift_zero",
          "stock",
          "margin",
          "volume_uplift_zero",
          "optimization_strategy",
          "global_strategy",
          "override_flag",
          "volume_uplift_static",
          "total_profit",
          "lost_sales",
          "max_markdown",
          "reference_period_product_base_price",
          "product_id",
          "min_markdown",
          "forecast_period_product_average_discount",
          "lost_profit",
          "sellthrought_rate",
        ]
    recipe_json_payload["steps"][1]["params"]["columns"] = keep_columns+variables_demand[
        "standard"
    ]["products_hierarchy_app"][0:-1]

    recipe_settings.set_json_payload(recipe_json_payload)
    recipe_settings.save()

    adapt_recipe_engine_to_priority_and_availability(project, recipe_name)
    update_recipe_ouput_schema(project, recipe_name)

    


