# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
from markdown_optimization.flow.demand_forecast_scoring import (
    score_demand_forecast_dataset,
)

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
from dku_utils.core import get_project_and_variables, get_current_project_and_variables

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
markdown_project, markdown_variables = get_current_project_and_variables()


demand_forecast_project, demand_forecast_variables = get_project_and_variables(
    markdown_variables["standard"]["demand_forecast_project_key_app"]
)

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
try:
    demand_forecast_modeling_problem = demand_forecast_variables["standard"][
        "demand_forecast_modeling_problem_app"
    ]
    old_flag = False

except KeyError:
    demand_forecast_modeling_problem = "regular"
    old_flag = True

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
score_demand_forecast_dataset(
    demand_forecast_project,
    demand_forecast_modeling_problem,
    "demand_forecast_features_all_discount",
    "predicted_demand",
    read_chunk_size=100000,
    old_flag=old_flag,
)
