This section informs you about all the requirements needed to use this solution.

# Instance Requirements
This solution is only compatible on instances with  **Dataiku v13.2+**
This solution requires a working instance of [Demand Forecast](https://www.dataiku.com/solutions/catalog/demand-forecast/) in a version >= 1.2.0

## Code Environment
Project python recipes uses the code env **solution_markdown-optimization** based on **Python 3.9** and pandas 2.2 (Core packages versions)


Required packages for this code env are: 
>MarkupSafe<2.2.0
Jinja2>=2.11,<3.2
cloudpickle>=1.3,<1.6
flask>=1.0,<2.3
itsdangerous<2.1.0
lightgbm>=3.2,<3.3
scikit-learn>=1.0,<1.6
scikit-optimize>=0.7,<=0.10.2
scipy>=1.13,<1.14
statsmodels>=0.12.2,<0.15
Werkzeug<3.1
xgboost>=1.5.1,<2
gluonts>=0.8.1,<0.16
pmdarima>=1.2.1,<2.1
mxnet>=1.8.0.post0,<1.10
prophet>=1.1.1,<1.2
tdigest>=0.5,<0.6
econml>=0.13,<0.16

# Dataset requirements
For dataset requirements see [Data inputs](article:11)

No Dataset is mandatory for markdown optimization as it relies on **Demand Forecast** solution inputs see [Demand Forecast wiki](https://gallery.dataiku.com/projects/SOL_DEMAND_FORECAST/wiki/3/Technical%20Requirements#datasources-requirements-1)

 For best results the demand forecast should include [Products Pricing Information](https://gallery.dataiku.com/projects/SOL_DEMAND_FORECAST/datasets/products_pricing_information/explore/)
